Last Comment Bug 363079 - MozillaBuild for Windows
: MozillaBuild for Windows
Status: RESOLVED FIXED
:
Product: mozilla.org
Classification: Other
Component: MozillaBuild (show other bugs)
: other
: x86 Windows 2000
: -- normal (vote)
: ---
Assigned To: Benjamin Smedberg [:bsmedberg]
:
Mentors:
http://benjamin.smedbergs.us/blog/200...
Depends on:
Blocks: 363096 363195 363942 363943 365691
  Show dependency treegraph
 
Reported: 2006-12-07 08:50 PST by Benjamin Smedberg [:bsmedberg]
Modified: 2007-12-21 10:33 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Initial build environment, rev. 1 (16.34 KB, patch)
2006-12-07 09:16 PST, Benjamin Smedberg [:bsmedberg]
mozpreed: review+
Details | Diff | Review

Description Benjamin Smedberg [:bsmedberg] 2006-12-07 08:50:48 PST
This is the build system for the magic all-in-one Windows build prerequisite installer. Right now it makes a .zip file... I'll work to make it a nice installer as a second step, but I'd like to get this landed so a couple other people can patch up some oddities (I couldn't figure out how to support the Microsoft SDK, for example).
Comment 1 Benjamin Smedberg [:bsmedberg] 2006-12-07 09:16:09 PST
Created attachment 247843 [details] [diff] [review]
Initial build environment, rev. 1
Comment 2 Ted Mielczarek [:ted.mielczarek] 2006-12-07 18:13:24 PST
Just some links I ran across:

Detecting any installed version of VS 2005:
http://blogs.msdn.com/astebner/archive/2006/01/11/511887.aspx
Detecting any installed version of VS.NET/.NET 2003:
http://blogs.msdn.com/astebner/archive/2006/12/01/how-to-determine-whether-or-not-a-vs-2002-or-vs-2003-product-is-installed-on-a-computer.aspx

From that, a check for VC8 Express:
SET MSVC8EXPRESSKEY=HKLM\SOFTWARE\Microsoft\VCExpress\8.0\Setup\VC

I put this after the VC8 check in guess-msvc.bat:
REM try for VC8 Express
REG QUERY "%MSVC8EXPRESSKEY%" /v ProductDir > nul
IF %ERRORLEVEL% EQU 0 FOR /F "tokens=2* delims=	 " %%A IN ('REG QUERY "%MSVC8EXPRESSKEY%" /v ProductDir') DO SET VC8DIR=%%B

Also, for locating the Platform SDK:
HKLM\SOFTWARE\Microsoft\MicrosoftSDK\Directories
value: "Install Dir"
Comment 3 J. Paul Reed [:preed] 2006-12-12 19:50:09 PST
Comment on attachment 247843 [details] [diff] [review]
Initial build environment, rev. 1

Couple questions:

Do we want to use the versions of NSIS, UPX, etc. that are part of our current ref platform, or just "current"?

Just curious: why do we need xemacs? Is blat so it's easy to run a tbox? What's svn for? (Will we need CVS?)

Otherwise, looks sane.
Comment 4 Benjamin Smedberg [:bsmedberg] 2006-12-14 12:29:08 PST
> Do we want to use the versions of NSIS, UPX, etc. that are part of our current
> ref platform, or just "current"?

This package should be used to create the trunk refplatform. I'd like to use the most-current packages as of now, and do upgrades once a release (e.g. after 1.9 branches).

> Just curious: why do we need xemacs?

Just so I can ignite emacs/vi wars. "vi" comes with MSYSDTK

> Is blat so it's easy to run a tbox?

yes

> What's svn for?

For remora/airbag/website/whatever.

> (Will we need CVS?)

CVS comes with MSYSDTK.
Comment 5 Benjamin Smedberg [:bsmedberg] 2006-12-14 15:12:11 PST
Initial cut fixed. Followup bugs need to be fixed and various verifications done before we get to mozillabuild 1.0. Verifications include:

works with MSVC6 (do we need a more modern SDK?)
works with MSVC8Express + SDK
can run a tinderbox without additional tools (additional configuration may well be necessary)
Comment 6 Ben Hearsum (:bhearsum) 2007-12-20 12:06:21 PST
Mass re-assign of MozillaBuild bugs into mozilla.org:MozillaBuild

Note You need to log in before you can comment on or make changes to this bug.